class RoleFilter
  
  include Mongoid::Document
  include Mongoid::Timestamps
  # include OrbitCoreLib::ObjectAuthable
  include OrbitCoreLib::ObjectDisable


  field :key
  field :title, localize: true
  
  # belongs_to :role

  def pp_object
    title
  end

  def self.from_id(id)
    RoleFilter.find(id) rescue nil
  end

  def self.is_localized?(field_name)
    self.fields[field_name.to_s].localized?
  end
  
end